<div align="center">
<img alt="CometChat" src="./screenshots/logo.png" alt="CometChat" />
</div>
<br>
<div align="center">Full-fledged Chat UIKit built with <a href="https://reactnative.dev/">React Native</a>. </div>
<div align="center">
  <a href="https://www.cometchat.com/docs/v4/react-native-uikit/overview"><strong>Explore CometChat docs »</strong></a>
</div>
<br />
<br />

[![Platform](https://img.shields.io/badge/Platform-ReactNative-brightgreen.svg)](#)
[![Platform](https://img.shields.io/badge/Language-TypeScript-yellowgreen.svg)](#)
![Version](https://shields.io/badge/version-v4.1.2-orange)
![Twitter Follow](https://img.shields.io/twitter/follow/cometchat?style=social)

## Table of contents
- [About the project](#about-the-project)
  - [Built With](#built-with)
- [Getting Started](#getting-started)
  - [Dependencies](#dependencies)
- [Versioning](#versioning)
- [Contributing](#contributing)
- [Support](#support)
- [License](#license)
- [About Authors](#about-authors)


## About the project
CometChat React Native UIKit provides pre-built user interface kit that developers can use to quickly integrate a reliable & fully featured chat experience into an existing or a new mobile app.<br />

### Built With
- react: 17.0.2
- react native: 0.68.5
- Android Studio 2021.3 dolphin
- Xcode 14.1
- Android 9, API 28 and above
- iOS 12.0 

## Getting Started
To set up React Native Chat UIKit and utilize CometChat for your chat functionality, you'll need to follow these steps:
- Registration: Go to the CometChat website (https://www.cometchat.com/) and sign up for an account.
- Create an App: After registering, log in to your CometChat account and create a new app. Provide the necessary details such as the app name, platform (React Native), and other relevant information. Once you've created the app, CometChat will generate an Auth Key and App ID for you. Make sure to keep these credentials secure, as you'll need them later.\
- Make sure you've read the [key concepts](https://www.cometchat.com/docs/v4/react-native-uikit/key-concepts).
- Follow the steps provided in the integration section [here](https://www.cometchat.com/docs/v4/react-native-uikit/integration).


### Dependencies
To utilize the React Native Chat UIKit in your React native project, you need to include the necessary dependencies in your  file. <br />
 @react-native-community/async-storage <br/>
 @cometchat/chat-sdk-react-native <br/>
 @react-native-community/clipboard <br />


## Versioning
- Semantic Versioning: All of the CometChat packages adhere to [semantic versioning](https://semver.org/) principles.

## Contributing
Please read through our [contributing guidelines](./CONTRIBUTING.md). Included are directions for opening issues, coding standards, and notes on development.

## Support
- Facing any issues while integrating or installing the UI Kit please connect with us via real time support present in <a href="https://app.cometchat.com/signup"> CometChat Dashboard.</a>.

## License
Code released under the [MIT License](./LICENSE).


## About Authors 

This project is created & maintained by: <br/>
[⚔️ @rohitninawe 🛡](https://github.com/rohitninawe-cometchat)  <br/>
[⚔️ @ritikkaushik 🛡](https://github.com/kaushikRitik)  <br/>

