/// <reference types="react" />
import { ImageType } from "../shared";
import { CometChatOptions } from "../shared/modals/CometChatOptions";
import { CometChat } from "@cometchat/chat-sdk-react-native";
export interface GroupMemberConfigurationInterface {
    SubtitleView?: (groupMember: CometChat.GroupMember) => JSX.Element;
    disableUserPresence?: boolean;
    ListItemView?: (groupMember: CometChat.GroupMember) => JSX.Element;
    AppBarOptions?: () => JSX.Element;
    options?: (groupMember: CometChat.GroupMember) => CometChatOptions[];
    hideSeperator?: boolean;
    searchPlaceHolder?: string;
    backButtonIcon?: ImageType;
    showBackButton?: boolean;
    selectionMode?: "none" | "single" | "multiple";
    onSelection?: (groupMembers: Array<CometChat.GroupMember>) => void;
    searchBoxIcon?: ImageType;
    hideSearch?: boolean;
    title?: string;
    EmptyStateView?: () => JSX.Element;
    ErrorStateView?: () => JSX.Element;
    LoadingStateView?: () => JSX.Element;
    emptyStateText?: string;
    errorStateText?: string;
    groupMemberRequestBuilder?: CometChat.GroupMembersRequestBuilder;
    searchRequestBuilder?: CometChat.GroupMembersRequestBuilder;
    onItemPressed?: (groupMember: CometChat.GroupMember) => void;
    onItemLongPressed?: (groupMember: CometChat.GroupMember) => void;
    onError?: (e: CometChat.CometChatException) => void;
    onBack?: () => void;
    hideError?: boolean;
    TailView?: (groupMember: CometChat.GroupMember) => JSX.Element;
}
export declare class GroupMemberConfiguration implements GroupMemberConfigurationInterface {
    SubtitleView?: (groupMember: CometChat.GroupMember) => JSX.Element;
    disableUserPresence?: boolean;
    ListItemView?: (groupMember: CometChat.GroupMember) => JSX.Element;
    AppBarOptions?: () => JSX.Element;
    options?: (groupMember: CometChat.GroupMember) => CometChatOptions[];
    hideSeperator?: boolean;
    searchPlaceHolder?: string;
    backButtonIcon?: ImageType;
    showBackButton?: boolean;
    selectionMode?: "none" | "single" | "multiple";
    onSelection?: (groupMembers: Array<CometChat.GroupMember>) => void;
    searchBoxIcon?: ImageType;
    hideSearch?: boolean;
    title?: string;
    EmptyStateView?: () => JSX.Element;
    ErrorStateView?: () => JSX.Element;
    LoadingStateView?: () => JSX.Element;
    emptyStateText?: string;
    errorStateText?: string;
    groupMemberRequestBuilder?: CometChat.GroupMembersRequestBuilder;
    searchRequestBuilder?: CometChat.GroupMembersRequestBuilder;
    onItemPressed?: (groupMember: CometChat.GroupMember) => void;
    onItemLongPressed?: (groupMember: CometChat.GroupMember) => void;
    onError?: (e: CometChat.CometChatException) => void;
    onBack?: () => void;
    hideError?: boolean;
    TailView?: (groupMember: CometChat.GroupMember) => JSX.Element;
    constructor(params: GroupMemberConfigurationInterface);
}
