export declare const USER_ONLINE_STATUS = "online";
export declare const NO_USERS_FOUND = "no_users_found";
export declare const NO_DATA_FOUND = "no_data_found";
export declare const SOMETHING_WRONG = "something_wrong";
export declare const LOADING = "loading";
export declare const NO_GROUPS_FOUND = "no_groups_found";
export declare const ON_USER_ITEM_CLICK = "onItemClick";
export declare const ON_USER_ERROR = "onUserError";
export declare const ON_USER_BLOCK = "onUserBlock";
export declare const ON_USER_UNBLOCK = "onUserUnBlock";
export declare const USERS_CLICK_LISTENER_ID = "clicklistener2";
export declare const USERS = "Users";
export declare const SEARCH = "Search";
export declare const CALL_INITIATED: string;
export declare const CALL_ONGOING: string;
export declare const CALL_REJECTED: string;
export declare const CALL_CANCELLED: string;
export declare const CALL_BUSY: string;
export declare const CALL_UNANSWERED: string;
export declare const CALL_ENDED: string;
export declare const ON_INCOMING_CALL_RECEIVED = "onIncomingCallReceived";
export declare const ON_INCOMING_CALL_CANCELLED = "onIncomingCallCancelled";
export declare const ON_CUSTOM_MESSAGE_RECEIVED = "onCustomMessageReceived";
export declare const ON_MEDIA_MESSAGE_REVEIVED = "onMediaMessageReceived";
export declare const ON_MESSAGE_DELETED = "onMessageDeleted";
export declare const ON_MESSAGE_DELIVERED = "ON_MESSAGE_DELIVERED";
export declare const ON_MESSAGE_EDITED = "messageEdited";
export declare const ON_MESSAGE_READ = "messageRead";
export declare const ON_MESSAGE_RECEIVED = "ON_MESSAGE_RECEIVED";
export declare const ON_TEXT_MESSAGE_RECEIVED = "onTextMessageReceived";
export declare const ON_TRANSIENT_MESSAGE_RECEIVED = "ON_TRANSIENT_MESSAGE_RECEIVED";
export declare const ON_TYPING_ENDED = "onTypingEnded";
export declare const ON_TYPING_STARTED = "onTypingStarted";
export declare const ON_USER_OFFLIE = "onUserOffline";
export declare const ON_USER_ONLINE = "onUserOnline";
export declare const ON_GROUP_MEMBER_ADDED_TO_GROUP = "onGroupMemberAddedToGroup";
export declare const ON_GROUP_MEMBER_BANNED = "onGroupMemberBanned";
export declare const ON_GROUP_MEMBER_JOINED = "onGroupMemberJoined";
export declare const ON_GROUP_MEMBER_KICKED = "onGroupMemberKicked";
export declare const ON_GROUP_MEMBER_LEFT = "onGroupMemberLeft";
export declare const ON_GROUP_MEMBER_SCOPE_CHANGED = "onGroupMemberScopeChanged";
export declare const ON_GROUP_MEMBER_UNBANNED = "onGroupMemberUnbanned";
export declare const ON_CONVERSATION_ITEM_CLICK = "onConversationItemClicked";
export declare const PRIVATE_GROUP_COLOR = "rgb(0, 200, 111)";
export declare const PASSWORD_GROUP_COLOR = "rgb(247, 165, 0)";
export declare const emailPattern: string;
export declare const urlPattern: string;
export declare const phoneNumPattern: string;
export declare const MetadataConstants: {
    liveReaction: string;
    file: string;
    extensions: {
        thumbnailGeneration: string;
        polls: string;
        document: string;
        whiteboard: string;
        xssFilter: string;
        dataMasking: string;
        profanityFilter: string;
        reactions: string;
        linkPreview: string;
    };
};
export declare const GroupOptionConstants: {
    leave: string;
    delete: string;
    viewMembers: string;
    addMembers: string;
    bannedMembers: string;
    voiceCall: string;
    videoCall: string;
    viewInformation: string;
};
export declare const GroupMemberOptionConstants: {
    joined: string;
    left: string;
    added: string;
    kick: string;
    ban: string;
    unban: string;
    changeScope: string;
    view: string;
    addMembers: string;
    deleteGroup: string;
    leave: string;
    transferOwnership: string;
};
export declare const UserOptionConstants: {
    blockUnblock: string;
    viewProfile: string;
    voiceCall: string;
    videoCall: string;
    viewInformation: string;
};
export declare const ConversationOptionConstants: {
    delete: string;
    edit: string;
};
export declare const ConversationTypeConstants: {
    users: string;
    groups: string;
    both: string;
};
export declare const GroupTypeConstants: {
    private: string;
    password: string;
    public: string;
};
export declare const GroupMemberScope: {
    admin: string;
    moderator: string;
    participant: string;
    owner: string;
};
export declare const GroupMemberOptionKick = "kick";
export declare const GroupMemberOptionBan = "ban";
export declare const GroupMemberOptionUnban = "unban";
export declare const GroupMemberOptionChangeScope: string[];
export declare const ONE_SECOND_IN_MS = 1000;
export declare const PATTERN: number[];
export declare const CallContstatnts: {
    audioCall: string;
    videoCall: string;
    ongoing: string;
    missed: string;
    ended: string;
    cancelled: string;
    busy: string;
    rejected: string;
};
export declare const CallTypeConstants: {
    audio: string;
    video: string;
};
export declare const MessageCategoryConstants: {
    message: string;
    custom: string;
    action: string;
    call: string;
};
export declare const DefaultActionSheetItems: {
    takeAPhoto: string;
    photoAndVideoLibrary: string;
    document: string;
    poll: string;
    sticker: string;
    collaborative_whiteboard: string;
    collaborative_document: string;
};
export declare const MessageTypeConstants: {
    text: string;
    file: string;
    image: string;
    takePhoto: string;
    audio: string;
    video: string;
    groupMember: string;
    messageEdited: string;
    messageDeleted: string;
    poll: string;
    sticker: string;
    document: string;
    whiteboard: string;
    meeting: string;
    location: string;
    groupActions: string;
};
export declare const ReceiverTypeConstants: {
    user: string;
    group: string;
};
export declare const UserStatusConstants: {
    online: string;
    offline: string;
    blocked: string;
    unblocked: string;
};
export declare const MessageOptionConstants: {
    editMessage: string;
    deleteMessage: string;
    replyMessage: string;
    replyInThread: string;
    translateMessage: string;
    reactToMessage: string;
    messageInformation: string;
    copyMessage: string;
    shareMessage: string;
    sendMessagePrivately: string;
    replyMessagePrivately: string;
};
export declare const CometChatMessageTypes: Readonly<{
    text: string;
    file: string;
    image: string;
    audio: string;
    video: string;
}>;
export declare const CometChatCustomMessageTypes: Readonly<{
    poll: "extension_poll";
    sticker: "extension_sticker";
    document: "extension_document";
    whiteboard: "extension_whiteboard";
    meeting: "meeting";
    location: "location";
}>;
export declare const MessageOptionForConstants: {
    sender: string;
    receiver: string;
    both: string;
};
export declare const ViewAlignment: {
    composerTop: string;
    composerBottom: string;
    messageListTop: string;
    messageListBottom: string;
};
export type MessageListAlignmentType = "standard" | "leftAligned";
export type MessageBubbleAlignmentType = "left" | "right" | "center";
export type MessageTimeAlignmentType = "top" | "bottom";
export declare const MessageStatusConstants: Readonly<{
    inprogress: "inprogress";
    success: "success";
}>;
export declare const GroupsConstants: {
    MESSAGE_: string;
    GROUP_MEMBERS: string;
    GROUP_MEMBER: string;
    GROUP_: string;
    ENTER_GROUP_NAME: string;
    CREATING_MESSSAGE: string;
    GROUP_PASSWORD_BLANK: string;
    PARTICIPANT: string;
    PUBLIC: string;
    PRIVATE: string;
    CREATE_GROUP: string;
    GROUP_LIST_: string;
    GROUPS: string;
    GUID: string;
    VIEW_MESSAGE_THREAD: string;
    CLOSE_THREAD_CLICKED: string;
    CLOSE_FULL_SCREEN_IMAGE: string;
    VIEW_ACTUAL_IMAGE: string;
    ACTION_TYPE_GROUPMEMBER: string;
    EDIT: string;
    DELETE: string;
    MENU_CLICKED: string;
    PUBLIC_GROUP: string;
    PRIVATE_GROUP: string;
    PROTECTED_GROUP: string;
    MEMBER_SCOPE_CHANGED: string;
    MEMBERS_ADDED: string;
    MEMBER_UNBANNED: string;
    MEMBERS_UPDATED: string;
    MEMBER_UPDATED: string;
    GROUP_UPDATED: string;
    LEFT_GROUP: string;
    DELETE_GROUP: string;
    BREAKPOINT_MIN_WIDTH: string;
    BREAKPOINT_MAX_WIDTH: string;
    UID: string;
    SEARCH: string;
    GROUP_TO_UPDATE: string;
    SCOPE: string;
    GROUP_TO_DELETE: string;
    MEMBERS_COUNT: string;
    NO_GROUPS_FOUND: string;
    LOADING_MESSSAGE: string;
    ERROR: string;
    GROUP_MEMBER_KICKED: string;
    HAS_JOINED: string;
    CLOSE_CREATE_GROUP_VIEW: string;
    GROUP_CREATED: string;
    GROUP_MEMBER_SCOPE_CHANGED: string;
    GROUP_MEMBER_BANNED: string;
    GROUP_MEMBER_UNBANNED: string;
    GROUP_MEMBER_ADDED: string;
    GROUP_MEMBER_LEFT: string;
    GROUP_MEMBER_JOINED: string;
};
export declare const ComponentIds: {
    ADD_MEMBERS: string;
    VIEW_MEMBERS: string;
    BANNED_MEMBERS: string;
    TRANSFER_OWNERSHIP: string;
};
